DefaultMultiStepCommand (Grails 3.2.4)
Date: 2016-12-21

Package: org.grails.cli.profile.commands

## [Groovy] Class DefaultMultiStepCommand

- org.grails.cli.profile.commands.DefaultMultiStepCommand

- Simple implementation of the MultiStepCommand abstract class that parses commands defined in YAML or JSON

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MultiStepCommand` | `__$stMC`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandDescription` | `description`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultMultiStepCommand (java.lang.String name, Profile profile, java.util.Map<java.lang.String, java.lang.Object> data)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected AbstractStep` | `createStep(java.util.Map stepParameters)`
    `java.util.List<Step>` | `getSteps()`
    `boolean` | `handleArgumentOrFlag(java.util.Map map, java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MultiStepCommand` | `getProfile, setProperty, getProperty, notify, getName, handle, setName, on, after, before, getSteps, org_grails_cli_profile_commands_events_CommandEventstrait$super$after, org_grails_cli_profile_commands_events_CommandEventstrait$super$before, org_grails_cli_profile_commands_events_CommandEventstrait$super$notify, org_grails_cli_profile_commands_events_CommandEventstrait$super$on, setProfile, getMinArguments, setMinArguments, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getDescription`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final CommandDescription description

  - ### Constructor Detail

    - #### DefaultMultiStepCommand(java.lang.String name, Profile profile, java.util.Map<java.lang.String, java.lang.Object> data)

  - ### Method Detail

    - #### protected AbstractStep createStep(java.util.Map stepParameters)

    - #### java.util.List<Step> getSteps()

    - #### @groovy.transform.CompileDynamic boolean handleArgumentOrFlag(java.util.Map map, java.lang.String name)